> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Process eDaler URI

## Overview

Allows the client to process an eDaler URI.

## HTTP request

`POST /Agent/Wallet/ProcessEDalerUri`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
	"uri": Required(Str(PUri))
}
```

## Input parameters

| Parameter | Description            |
| --------- | ---------------------- |
| PUri      | eDaler URI to process. |

## Response (JSON)

```json theme={null}
{
	"Balance":
	{
		"amount":Required(Double(PAmount)),
		"reserved":Required(Double(PReserved)),
		"currency":Required(Str(PCurrency)),
		"timestamp":Required(DateTime(PTimestamp))
	},
	"Result":Optional(PResult)
}
```

## Response parameters

| Parameter  | Description                                      |
| ---------- | ------------------------------------------------ |
| PAmount    | Current amount of eDaler that can be used.       |
| PReserved  | Current amount of eDaler that has been reserved. |
| PCurrency  | Currency of wallet.                              |
| PTimestamp | Timestamp of balance statement.                  |

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
